# AI Content Strategy

This module provides AI-powered content strategy recommendations based on existing site content and the EEAT (Experience, Expertise, Authoritativeness, Trustworthiness) framework.

## Features

* Content Gap Analysis - Identifies missing content opportunities based on site structure
* Authority Topics - Suggests topics to establish domain authority
* Expertise Demonstrations - Recommends content formats to showcase expertise
* Trust Signals - Suggests ways to build trust with your audience
* Priority-based Recommendations - Each suggestion includes a priority level (high/medium/low)
* Content Ideas Generation - Provides specific content ideas for each recommendation

## Requirements

* Drupal 10.2 or higher
* AI module
* Menu UI module (used to analyze site navigation structure for better content recommendations)

## Installation

Install as you would normally install a contributed Drupal module. Visit
`https://www.drupal.org/node/1897420` for further information.

## Configuration

1. Enable the module at Administration » Extend
2. Configure permissions at Administration » People » Permissions
3. Access the content strategy tools at Administration » Reports » Content Strategy 